CVC3::CLFlags Class Reference

`#include <cvc3_compat.h>`

## Public Member Functions

void | addFlag (const std::string &name, const CLFlag &f)
size_t | countFlags (const std::string &name) const
size_t | countFlags (const std::string &name, std::vector< std::string > &names) const
const CLFlag & | getFlag (const std::string &name) const
const CLFlag & | operator[] (const std::string &name) const
void | setFlag (const std::string &name, const CLFlag &f)
void | setFlag (const std::string &name, bool b)
void | setFlag (const std::string &name, int i)
void | setFlag (const std::string &name, const std::string &s)
void | setFlag (const std::string &name, const char *s)
void | setFlag (const std::string &name, const std::pair< std::string, bool > &p)
void | setFlag (const std::string &name, const std::vector< std::pair< std::string, bool > > &sv)

## Detailed Description

Definition at line 198 of file cvc3_compat.h.

## Member Function Documentation

## addFlag()

void CVC3::CLFlags::addFlag | ( | const std::string & | name,
|  | const CLFlag & | f )

## countFlags() [1/2]

size_t CVC3::CLFlags::countFlags | ( | const std::string & | name | ) | const

## countFlags() [2/2]

size_t CVC3::CLFlags::countFlags | ( | const std::string & | name,
|  | std::vector< std::string > & | names ) const

## getFlag()

const CLFlag & CVC3::CLFlags::getFlag | ( | const std::string & | name | ) | const

## operator[]()

const CLFlag & CVC3::CLFlags::operator[] | ( | const std::string & | name | ) | const

## setFlag() [1/7]

void CVC3::CLFlags::setFlag | ( | const std::string & | name,
|  | bool | b )

## setFlag() [2/7]

void CVC3::CLFlags::setFlag | ( | const std::string & | name,
|  | const char * | s )

## setFlag() [3/7]

void CVC3::CLFlags::setFlag | ( | const std::string & | name,
|  | const CLFlag & | f )

## setFlag() [4/7]

void CVC3::CLFlags::setFlag | ( | const std::string & | name,
|  | const std::pair< std::string, bool > & | p )

## setFlag() [5/7]

void CVC3::CLFlags::setFlag | ( | const std::string & | name,
|  | const std::string & | s )

## setFlag() [6/7]

void CVC3::CLFlags::setFlag | ( | const std::string & | name,
|  | const std::vector< std::pair< std::string, bool > > & | sv )

## setFlag() [7/7]

void CVC3::CLFlags::setFlag | ( | const std::string & | name,
|  | int | i )

The documentation for this class was generated from the following file:

- src/compat/cvc3_compat.h